=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Build-Depends: 
 	debhelper (>= 9),
-	ghc,
+	ghc (>= 7.4),
 	libghc-missingh-dev,
 	libghc-hslogger-dev,
 	libghc-pcre-light-dev,
@@ -17,11 +17,13 @@
 	libghc-monad-control-dev (>= 0.3),
 	libghc-lifted-base-dev,
 	libghc-json-dev,
+	libghc-ifelse-dev,
 	ikiwiki,
 	perlmagick,
 	git,
 	uuid,
 	rsync,
+	openssh-client,
 Maintainer: Joey Hess <joeyh@debian.org>
 Standards-Version: 3.9.2
 Vcs-Git: git://git.kitenet.net/git-annex
@@ -35,13 +37,13 @@
 	uuid,
 	rsync,
 	wget | curl,
-	openssh-client
+	openssh-client (>= 1:5.6p1)
 Suggests: graphviz, bup, gnupg
 Description: manage files with git, without checking their contents into git
  git-annex allows managing files with git, without checking the file
  contents into git. While that may seem paradoxical, it is useful when
  dealing with files larger than git can currently easily handle, whether due
- to limitations in memory, checksumming time, or disk space.
+ to limitations in memory, time, or disk space.
  .
  Even without file content tracking, being able to manage files with git,
  move files around and delete files with versioned directory trees, and use
