=== debian/changelog ===
git-annex (3.20120315) unstable; urgency=low

  * fsck: Fix up any broken links and misplaced content caused by the
    directory hash calculation bug fixed in the last release.
  * sync: Sync to lower cost remotes first.
  * status: Fixed to run in constant space.
  * status: More accurate display of sizes of tmp and bad keys.
  * unused: Now uses a bloom filter, and runs in constant space.
    Use of a bloom filter does mean it will not notice a small
    number of unused keys. For repos with up to half a million keys,
    it will miss one key in 1000.
  * Added annex.bloomcapacity and annex.bloomaccuracy, which can be
    adjusted as desired to tune the bloom filter.
  * status: Display amount of memory used by bloom filter, and
    detect when it's too small for the number of keys in a repository.
  * git-annex-shell: Runs hooks/annex-content after content is received
    or dropped.
  * Work around a bug in rsync (IMHO) introduced by openSUSE's SIP patch.
  * git-annex now behaves as git-annex-shell if symlinked to and run by that
    name. The Makefile sets this up, saving some 8 mb of installed size.
  * git-union-merge is a demo program, so it is no longer built by default.

 -- Joey Hess <joeyh@debian.org>  Thu, 15 Mar 2012 11:05:28 -0400
