=== debian/changelog ===
git-annex (3.20120406) unstable; urgency=low

  * Disable diskfree on kfreebsd, as I have a build failure on kfreebsd-i386
    that is quite likely caused by it.

 -- Joey Hess <joeyh@debian.org>  Sat, 07 Apr 2012 15:50:36 -0400

git-annex (3.20120405) unstable; urgency=low

  * Rewrote free disk space checking code, moving the portability
    handling into a small C library.
  * status: Display amount of free disk space.

 -- Joey Hess <joeyh@debian.org>  Thu, 05 Apr 2012 16:19:10 -0400
