## git-annex 3.20120522

=== debian/changelog ===
git-annex (3.20120522) unstable; urgency=low

  * Pass -a to cp even when it supports --reflink=auto, to preserve
    permissions.
  * Clean up handling of git directory and git worktree.
  * Add support for core.worktree, and fix support for GIT_WORK_TREE and
    GIT_DIR.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 May 2012 11:16:13 -0400
