## git-annex 3.20120605

=== debian/changelog ===
git-annex (3.20120605) unstable; urgency=low

  * sync: Show a nicer message if a user tries to sync to a special remote.
  * lock: Reset unlocked file to index, rather than to branch head.
  * import: New subcommand, pulls files from a directory outside the annex
    and adds them.
  * Fix display of warning message when encountering a file that uses an
    unsupported backend.
  * Require that the SHA256 backend can be used when building, since it's the
    default.
  * Preserve parent environment when running hooks of the hook special remote.

 -- Joey Hess <joeyh@debian.org>  Tue, 05 Jun 2012 14:03:39 -0400
