=== debian/changelog ===
git-annex (3.20120611) unstable; urgency=medium

  * add: Prevent (most) modifications from being made to a file while it
    is being added to the annex.
  * initremote: Automatically describe a remote when creating it.
  * uninit: Refuse to run in a subdirectory. Closes: #677076

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Jun 2012 10:32:01 -0400
