=== debian/changelog ===
git-annex (3.20120614) unstable; urgency=medium

  * addurl: Was broken by a typo introduced 2 released ago, now fixed.
    Closes: #677576
  * Install man page when run by cabal, in a location where man will
    find it, even when installing under $HOME. Thanks, Nathan Collins

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Jun 2012 20:21:29 -0400
