=== debian/control ===
--- 
+++ 
@@ -20,6 +20,8 @@
 	libghc-ifelse-dev,
 	libghc-bloomfilter-dev,
 	libghc-edit-distance-dev,
+	libghc-hinotify-dev [linux-any],
+	libghc-stm-dev,
 	ikiwiki,
 	perlmagick,
 	git,
@@ -40,6 +42,7 @@
 	rsync,
 	wget | curl,
 	openssh-client (>= 1:5.6p1)
+Recommends: lsof
 Suggests: graphviz, bup, gnupg
 Description: manage files with git, without checking their contents into git
  git-annex allows managing files with git, without checking the file
