=== debian/changelog ===
git-annex (3.20120629~bpo60+2) squeeze-backports; urgency=low

  * Avoid passing --no-edit to git merge when the version of git doesn't
    support it.

 -- Joey Hess <joeyh@debian.org>  Fri, 21 Sep 2012 23:30:38 -0400

git-annex (3.20120629~bpo60+1) squeeze-backports; urgency=low

  * cabal: Only try to use inotify on Linux.
  * Version build dependency on STM, and allow building without it,
    which disables the watch command.
  * Note: watch command is disabled in this backport.
  * Avoid ugly failure mode when moving content from a local repository
    that is not available.
  * Got rid of the last place that did utf8 decoding.
  * Accept arbitrarily encoded repository filepaths etc when reading
    git config output. This fixes support for remotes with unusual characters
    in their names.
  * sync: Automatically resolves merge conflicts.

 -- Joey Hess <joeyh@debian.org>  Tue, 24 Jul 2012 15:44:00 +0000

git-annex (3.20120614~bpo60+1) squeeze-backports; urgency=medium

  * addurl: Was broken by a typo introduced 2 released ago, now fixed.
    Closes: #677576
  * Install man page when run by cabal, in a location where man will
    find it, even when installing under $HOME. Thanks, Nathan Collins

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Jun 2012 12:56:42 -0400

git-annex (3.20120522~bpo60+1) squeeze-backports; urgency=low

  * Pass -a to cp even when it supports --reflink=auto, to preserve
    permissions.
  * Clean up handling of git directory and git worktree.
  * Add support for core.worktree, and fix support for GIT_WORK_TREE and
    GIT_DIR.

 -- Joey Hess <joeyh@debian.org>  Tue, 22 May 2012 11:16:13 -0400

git-annex (3.20120511~bpo60+1) squeeze-backports; urgency=low

  * Rsync special remotes can be configured with shellescape=no
    to avoid shell quoting that is normally done when using rsync over ssh.
    This is known to be needed for certian rsync hosting providers
    (specificially hidrive.strato.com) that use rsync over ssh but do not
    pass it through the shell.
  * dropunused: Allow specifying ranges to drop.
  * addunused: New command, the opposite of dropunused, it relinks unused
    content into the git repository.
  * Fix use of several config settings: annex.ssh-options,
    annex.rsync-options, annex.bup-split-options. (And adjust types to avoid
    the bugs that broke several config settings.)

 -- Joey Hess <joeyh@debian.org>  Fri, 11 May 2012 12:29:30 -0400

git-annex (3.20120430~bpo60+1) squeeze-backports; urgency=low

  * Fix use of annex.diskreserve config setting.
  * Directory special remotes now check annex.diskreserve.
  * Support git's core.sharedRepository configuration.
  * Add annex.http-headers and annex.http-headers-command config
    settings, to allow custom headers to be sent with all HTTP requests.
    (Requested by the Internet Archive)
  * uninit: Clear annex.uuid from .git/config. Closes: #670639
  * Added shared cipher mode to encryptable special remotes. This option
    avoids gpg key distribution, at the expense of flexability, and with
    the requirement that all clones of the git repository be equally trusted.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 May 2012 13:13:47 -0400

git-annex (3.20120418~bpo60+1) squeeze-backports; urgency=low

  * bugfix: Adding a dotfile also caused all non-dotfiles to be added.
  * bup: Properly handle key names with spaces or other things that are
    not legal git refs.
  * git-annex (but not git-annex-shell) supports the git help.autocorrect
    configuration setting, doing fuzzy matching using the restricted
    Damerau-Levenshtein edit distance, just as git does. This adds a build
    dependency on the haskell edit-distance library.
  * Renamed diskfree.c to avoid OSX case insensativity bug.
  * cabal now installs git-annex-shell as a symlink to git-annex.
  * cabal file now autodetects whether S3 support is available.
  * Disabled bloom filter and edit-distance code for backport.
  * Avoid checking git version too often.

 -- Joey Hess <joeyh@debian.org>  Sun, 29 Apr 2012 15:41:24 -0400

git-annex (3.20120123~bpo60+4) squeeze-backports; urgency=low

  * Fix a bug in symlink calculation code, that triggered in rare
    cases where an annexed file is in a subdirectory that nearly
    matched to the .git/annex/object/xx/yy subdirectories.

 -- Joey Hess <joeyh@debian.org>  Mon, 05 Mar 2012 13:52:22 -0400

git-annex (3.20120123~bpo60+3) squeeze-backports; urgency=low

  * configure: Check if ssh connection caching is supported by the installed
    version of ssh and default annex.sshcaching accordingly.

 -- Joey Hess <joeyh@debian.org>  Sat, 25 Feb 2012 19:20:06 -0400

git-annex (3.20120123~bpo60+2) squeeze-backports; urgency=low

  * Fix runtime git version detection code. Closes: #660646

 -- Joey Hess <joeyh@debian.org>  Mon, 20 Feb 2012 13:37:09 -0400

git-annex (3.20120123~bpo60+1) squeeze-backports; urgency=low

  * Fixed build dependency that made the previous backport FTBFS on several
    architectures.
  * fsck --from: Fscking a remote is now supported. It's done by retrieving
    the contents of the specified files from the remote, and checking them,
    so can be an expensive operation. Still, if the remote is a special
    remote, or a git repository that you cannot run fsck in locally, it's
    nice to have the ability to fsck it.
  * If you have any directory special remotes, now would be a good time to
    fsck them, in case you were hit by the data loss bug fixed in the
    previous release!
  * fsck --from remote --fast: Avoids expensive file transfers, at the
    expense of not checking file size and/or contents.
  * Ssh connection caching is now enabled automatically by git-annex.
    Only one ssh connection is made to each host per git-annex run, which
    can speed some things up a lot, as well as avoiding repeated password
    prompts. Concurrent git-annex processes also share ssh connections.
    Cached ssh connections are shut down when git-annex exits.

