=== debian/changelog ===
git-annex (3.20120629+deb7u1) wheezy-security; urgency=high

  * Non-maintainer upload by the LTS Security Team.
  * CVE-2017-12976: git-annex before 6.20170818 allows remote attackers to
    execute arbitrary commands via an ssh URL with an initial dash
    character in the hostname, as demonstrated by an ssh://-eProxyCommand=
    URL (Closes: #873088)

 -- Antoine Beaupre <anarcat@debian.org>  Thu, 26 Oct 2017 09:30:00 -0400
