=== debian/control ===
--- 
+++ 
@@ -2,18 +2,26 @@
 Section: utils
 Priority: optional
 Build-Depends: 
-	debhelper (>= 8),
-	ghc,
-	libghc6-missingh-dev,
-	libghc6-hslogger-dev,
-	libghc6-pcre-light-dev,
-	libghc6-sha-dev,
-	libghc6-dataenc-dev,
-	libghc6-http-dev,
-	libghc6-utf8-string-dev,
-	libghc6-testpack-dev,
-	libghc6-json-dev,
-	libghc6-quickcheck2-dev,
+	debhelper (>= 9),
+	ghc (>= 7.4),
+	libghc-missingh-dev,
+	libghc-hslogger-dev,
+	libghc-pcre-light-dev,
+	libghc-sha-dev,
+	libghc-dataenc-dev,
+	libghc-http-dev,
+	libghc-utf8-string-dev,
+	libghc-hs3-dev (>= 0.5.6),
+	libghc-testpack-dev,
+	libghc-quickcheck2-dev,
+	libghc-monad-control-dev (>= 0.3),
+	libghc-lifted-base-dev,
+	libghc-json-dev,
+	libghc-ifelse-dev,
+	libghc-bloomfilter-dev,
+	libghc-edit-distance-dev,
+	libghc-hinotify-dev [linux-any],
+	libghc-stm-dev (>= 2.3),
 	ikiwiki,
 	perlmagick,
 	git,
@@ -29,11 +37,11 @@
 Architecture: any
 Section: utils
 Depends: ${misc:Depends}, ${shlibs:Depends},
-	git | git-core,
+	git (>= 1:1.7.7),
 	uuid,
 	rsync,
 	wget | curl,
-	openssh-client
+	openssh-client (>= 1:5.6p1)
 Recommends: lsof
 Suggests: graphviz, bup, gnupg
 Description: manage files with git, without checking their contents into git
